Bug 675721 - [abrt] git-cola-1.4.3-1.fc14: cmds.py:474:__init__:OSError: error: "None" does not exist
Summary: [abrt] git-cola-1.4.3-1.fc14: cmds.py:474:__init__:OSError: error: "None" doe...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola   
(Show other bugs)
Version: 14
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/davvid/git-cola/is...
Whiteboard: abrt_hash:96a50422
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-07 14:23 UTC by Diego
Modified: 2011-03-16 07:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 07:41:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2011-02-07 14:23 UTC, Diego
no flags Details

Description Diego 2011-02-07 14:23:47 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/git-cola
component: git-cola
executable: /usr/bin/git-cola
kernel: 2.6.35.10-74.fc14.x86_64
package: git-cola-1.4.3-1.fc14
reason: cmds.py:474:__init__:OSError: error: "None" does not exist
release: Fedora release 14 (Laughlin)
time: 1297088511
uid: 500

backtrace
-----
cmds.py:474:__init__:OSError: error: "None" does not exist

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/qtutils.py", line 46, in broadcast
    cola.notifier().broadcast(signal, *local_args, **local_opts)
  File "/usr/share/git-cola/lib/cola/notification.py", line 26, in broadcast
    self.emit(signal, *args, **opts)
  File "/usr/share/git-cola/lib/cola/notification.py", line 32, in emit
    fxn(*args, **opts)
  File "/usr/share/git-cola/lib/cola/cmdfactory.py", line 87, in run
    return self.do(signal, *args, **opts)
  File "/usr/share/git-cola/lib/cola/cmdfactory.py", line 93, in do
    cmdobj = cmdclass(*args, **opts)
  File "/usr/share/git-cola/lib/cola/cmds.py", line 492, in __init__
    LoadCommitMessage.__init__(self, _config.get('commit.template'))
  File "/usr/share/git-cola/lib/cola/cmds.py", line 474, in __init__
    raise OSError('error: "%s" does not exist' % path)
OSError: error: "None" does not exist

Local variables in innermost frame:
path: None
self: <cola.cmds.LoadCommitTemplate object at 0x1fc4890>

How to reproduce
-----
1. click "File" and "Get commit message template"
2. crash (that doesn't close the application)

Comment 1 Diego 2011-02-07 14:23:51 UTC
Created attachment 477419 [details]
File: backtrace

Comment 2 Kevin Kofler 2011-02-08 21:00:23 UTC
Can you please report this crash to the upstream bug tracker at:
https://github.com/davvid/git-cola/issues
?

Comment 3 Fedora Admin XMLRPC Client 2011-02-18 01:53:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Diego 2011-02-25 22:19:59 UTC
Upstream report:
https://github.com/davvid/git-cola/issues/72

Comment 5 Diego 2011-02-27 13:07:28 UTC
This is fixed upstream, so next version will solve the problem:
https://github.com/davvid/git-cola/issues/72#comment_814449

Comment 6 David Aguilar 2011-03-05 14:15:58 UTC
git-cola 1.4.3.1 was released upstream.

Comment 7 Diego 2011-03-16 07:41:15 UTC
Fixed by the release of git-cola 1.4.3.1 in Fedora repository, thanks anyone involved.
https://bugzilla.redhat.com/show_bug.cgi?id=682518
http://cola.tuxfamily.org/share/doc/git-cola/html/relnotes.html#git-cola-v1-4-3-1


Note You need to log in before you can comment on or make changes to this bug.